hsql-1.8.2: Database access from Haskell.

Safe Haskell | None

DB.HSQL.Type.NetAddress

Description

Network addresses, equipped with `SqlBind` instances.

Synopsis

- data INetAddr = INetAddr {
  - ip4Octet1 :: Int
  - ip4Octet2 :: Int
  - ip4Octet3 :: Int
  - ip4Octet4 :: Int
  - cidrMaskBits :: Int
  }
- data MacAddr = MacAddr {
  - macOctet1 :: Int
  - macOctet2 :: Int
  - macOctet3 :: Int
  - macOctet4 :: Int
  - macOctet5 :: Int
  - macOctet6 :: Int
  }

# Documentation

data INetAddr Source

An IP4 address with netmask in CIDR notation.

Constructors

INetAddr |

Fields

ip4Octet1 :: Int
ip4Octet2 :: Int
ip4Octet3 :: Int
ip4Octet4 :: Int
cidrMaskBits :: Int

Instances

Eq INetAddr |
Ord INetAddr |
Read INetAddr |
Show INetAddr |
SqlBind INetAddr |

data MacAddr Source

A MAC network address.

Constructors

MacAddr |

Fields

macOctet1 :: Int
macOctet2 :: Int
macOctet3 :: Int
macOctet4 :: Int
macOctet5 :: Int
macOctet6 :: Int

Instances

Eq MacAddr |
Ord MacAddr |
Read MacAddr |
Show MacAddr |
SqlBind MacAddr |